<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;
use App\Models\Service;

class CreateServicesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('services', function (Blueprint $table) {
            $table->id();
            $table->timestamps();
			$table->string('name');
			$table->string('type')->nullable();
			$table->string('site');
			$table->string('note')->nullable();
			$table->string('modifier')->default('');
			$table->unsignedInteger('primary_supplier')->nullable();
			$table->integer('maximum');
			$table->integer('minimum');
			$table->integer('price');
			$table->string('description')->default('');
			$table->boolean('available');
        });

    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('services');
    }
}
